<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Utils\EmailVorbelegen;

class EmailVorbelegenNeueKurstage extends EmailVorbelegenKurstage
{
  
  protected function getKurstage()
  {
    return array_filter($this->getChangedKurstage(), function($changedKurstag) { return $changedKurstag->ausfall != 'A'; });
  }

  
  protected function getDatumPartEinKurstag($pDatumString)
  {
    return 'findet am ' . $pDatumString . ' ein weiterer Termin statt.';
  }

  
  protected function getDatumPartMehrereKurstage($pDatumString)
  {
    return 'finden am ' . $pDatumString . ' weitere Termine statt.';
  }

  
  protected function getGeaenderteDatenPart()
  {
    $result = '';
    $changedKurstage = $this->getKurstage();

    foreach ($changedKurstage as $changedKurstag) {
      $result .= 'Der neue Termin am ' . $changedKurstag->datum . ' findet von ' . $changedKurstag->zeit_beg . ' - ' . $changedKurstag->zeit_ende . ' Uhr statt.' . "\r\n";
    }

    return $result;
  }
}